/// ABBYY® Mobile Capture © 2019 ABBYY Production LLC.
/// ABBYY is a registered trademark or a trademark of ABBYY Software Ltd.

#import "RTRRecognitionService.h"

NS_ASSUME_NONNULL_BEGIN

#pragma mark - RTRImageCaptureService

/**
 * An image capture service protocol.
 */
@protocol RTRImageCaptureService <RTRRecognitionService>
@required

/**
 * Sets the physical size of the document to be captured.
 * If the physical size of the document being captured is known, setting this parameter will
 * help to improve document boundary detection accuracy. Will allow to detect document orientation during capture.
 * Will preserve aspect ratio after crop. Will allow to automatically calculate image resolution before export.
 *
 * @param size The size of the document in millimeters.
 */
- (void)setDocumentSize:(CGSize)size;

@end

NS_ASSUME_NONNULL_END
