// ABBYY® Mobile Capture © 2019 ABBYY Production LLC.
// ABBYY is a registered trademark or a trademark of ABBYY Software Ltd.

#import <UIKit/UIKit.h>
#import "RecognizerEngine.h"

NS_ASSUME_NONNULL_BEGIN

typedef void (^PdfCompletion)(NSString* path);

/// Utility class for working with captured documents
@interface DocumentManager : NSObject

/// Create new manager instance
+ (instancetype)defaultManager;
/// Create manager for temporary session
+ (instancetype)tempSessionManager;

/// Find all previously saved images. Returns images paths array
- (NSArray<NSString*>*)imagePaths;
/// Store image to file system
- (NSString*)saveImage:(UIImage*)image;
/// Copy files. Returns new path array
- (NSArray<NSString*>*)saveImageFiles:(NSArray<NSString*>*)pathArray;
/// Create PDF document from saved images
- (void)generatePdfWithCompletion:(PdfCompletion)completion;
/// Remove previously saved files
- (void)removeAllFiles;
/// Remove specified file
- (void)removeFileAt:(NSString*)path;

@end

NS_ASSUME_NONNULL_END
